
### General Settings
# set the logging level / path
logging.level.org.springframework=debug
logging.level.org.springframework.security=trace
logging.level.us.cv64=debug
# logging.pattern.console= %d{MM-dd HH:mm:ss} - %logger{36} - %msg%n
# set the default date format
# spring.mvc.format.date=yyyy-MM-dd

# path to logfile
# logging.file.name=logfile.log

# server port setting
server.port=6464

### Spring Security
#spring.security.user.name=cv64
#spring.security.user.password=password
spring.security.oauth2.client.provider.gitlab.authorization-uri=https://gitlab.com/oauth/authorize
spring.security.oauth2.client.provider.gitlab.token-uri=https://gitlab.com/oauth/token
spring.security.oauth2.client.provider.gitlab.user-info-uri=https://gitlab.com/api/v4/user
spring.security.oauth2.client.provider.gitlab.user-name-attribute=username
spring.security.oauth2.client.provider.gitlab.jwk-set-uri=https://gitlab.com/oauth/discovery/keys

spring.security.oauth2.client.registration.gitlab.client-id=7203f95e4222c238df957244fd0d60371500c5cf293f435e56235cdf2786e23a
spring.security.oauth2.client.registration.gitlab.client-secret=33f7d2262631ef0ae12f7190a43d6e6d3f5756fbdd397a064fbdb90d09518181
spring.security.oauth2.client.registration.gitlab.authorization-grant-type=authorization_code
spring.security.oauth2.client.registration.gitlab.redirect-uri=http://localhost:6464/login/oauth2/code/gitlab
spring.security.oauth2.client.registration.gitlab.scope=read_user
spring.security.oauth2.client.registration.gitlab.client-name=GitLab

### actuator endpoints
management.endpoints.web.exposure.include=*
